Wallet Verification API
API for verifying wallet ownership
Wallet Verification
Quick Sync offers an API designed to verify wallet ownership. The verification process generates a short-lived token, which can be used to create or join a session. For more details, refer to the Session API.
Verifying Wallet Ownership
Obtain a Nonce Message – Request a nonce message from the server. This message is a temporary, unique identifier used for verification.
Sign the Message – Use the desired wallet within your frontend application to sign the nonce message.
Submit a Verification Request – Send a request containing the wallet address, signed message, and signature to complete the verification process.
Verify wallet given a wallet address, nonce message, and signature.
Query parameters
chainstringOptionalDefault:
EthereumBody
walletAddressstring · nullableOptional
messagestring · nullableOptional
signaturestring · nullableOptional
Responses
200
Success
tokenstring · nullableOptional
400
Bad Request
post/wallet-proof/verify
POST /v1/wallet-proof/verify HTTP/1.1
Host: api.quicksync.me
Content-Type: application/json
Accept: */*
Content-Length: 60
{
"walletAddress": "text",
"message": "text",
"signature": "text"
}{
"token": "text"
}Last updated

